import { r as registerInstance, h } from './index-d094b81c.js';

function format(first, middle, last) {
  return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}

const circleProgressCss = ":host{display:block}";

const MyComponent$1 = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * The first name
     */
    //@Prop() first: string;
    this.progress = "0";
    this.progressSize = "150";
    this.progressColor = "#2ecc71";
  }
  getProgress() {
    return format(this.progress, '', '');
  }
  render() {
    return h("div", { style: {
        width: `${this.progressSize}px`,
        height: `${this.progressSize}px`,
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        background: `conic-gradient(${this.progressColor} ${this.getProgress()}%, 0, #ecf0f1 ${(100 - parseInt(this.getProgress())).toString()}%)`,
        borderRadius: `50%`
      } }, h("div", { style: {
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        backgroundColor: `#000`,
        height: `60%`,
        width: `60%`,
        borderRadius: `50%`,
        boxShadow: `0px 0px 7px 0px rgba(0, 0, 0, 0.1)`
      } }));
  }
};
MyComponent$1.style = circleProgressCss;

const ionStatusCss = ":host{display:block}";

const MyComponent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * The first name
     */
    this.statusColor = "#2ecc71";
    this.statusSize = "100";
  }
  hexToRgbA(hex) {
    var c;
    if (/^#([A-Fa-f0-9]{3}){1,2}$/.test(hex)) {
      c = hex.substring(1).split('');
      if (c.length == 3) {
        c = [c[0], c[0], c[1], c[1], c[2], c[2]];
      }
      c = '0x' + c.join('');
      return 'rgba(' + [(c >> 16) & 255, (c >> 8) & 255, c & 255].join(',') + ',0.25)';
    }
    throw new Error('Bad Hex');
  }
  render() {
    return h("div", { style: {
        width: `${this.statusSize}px`,
        height: `${this.statusSize}px`,
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        background: `${this.hexToRgbA(this.statusColor)}`,
        borderRadius: `50%`,
      } }, h("div", { style: {
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        background: `${this.statusColor}`,
        height: `60%`,
        width: `60%`,
        borderRadius: `50%`,
        boxShadow: `0px 0px 7px 0px rgba(0, 0, 0, 0.1)`
      } }));
  }
};
MyComponent.style = ionStatusCss;

export { MyComponent$1 as circle_progress, MyComponent as ion_status };
